title: CommonMark
tagline: Markdown done right
description: PHP Markdown parser based on the CommonMark spec
site_title: CommonMark for PHP
google_analytics_tracking_id: UA-137970568-1
repository: commonmark
default_version: '1.5'
releases:
  current:
    '1.5':
      documentation_link: '/1.5/'
  previous:
    '1.4':
      documentation_link: '/1.4/'
    '1.3':
      documentation_link: '/1.3/'
  legacy:
    '1.0':
        documentation_link: '/1.0/'
    '0.19':
      documentation_link: '/0.19/'
author:
    name: Colin O'Dell
    twitter_account: colinodell
    website: https://www.colinodell.com
highlights:
    description: "The PHP <code>CommonMark</code> parser is a robust, highly-extensible Markdown parser for PHP based on the <a href=\"https://spec.commonmark.org/\">CommonMark</a> and <a href=\"https://github.github.com/gfm/\">Github-Flavored Markdown</a> specifications."
    features:
        - The only PHP library fully compatible with the CommonMark and Github-Flavored Markdown specs
        - Highly extensible architecture supports custom syntax and other customizations
        - Community extensions and integrations for popular frameworks and CMSes
        - Easy-to-use API
composer: "$ composer require league/commonmark"
